Subject: Re: Issue with DRM and "reimplement IDR and IDA using the radix tree"

From: Alexandre Courbot <[email-masked]>
Date: Wed, 14 Dec 2016 23:08:20 +0900

Forgot to add the most relevant list for this issue (linux-next).

Stephen, maybe you will want to temporarily revert this patch until this
is cleared? This probably affects other users than DRM.

On 12/13/2016 04:14 PM, Alexandre Courbot wrote:
> Hi Matthew,
> 
> Trying the latest -next on the Jetson TK1 board (with two different DRM
> devices and display and render), I noticed that the GPU device probe
> always failed with error -ENOSPC. After investigating I figured out that
> this was due to the minor device allocation failing when a second DRM
> device is added.
> 
> More precisely, when drm_minor_alloc() is called with DRM_MINOR_PRIMARY
> (0) as argument for a second time, the call to idr_alloc() (which has a
> requested range of 0..64) fails instead of returning 1 as expected. Note
> that the first call is successful.
> 
> Reverting "reimplement IDR and IDA using the radix tree" on 20161213's
> next fixes the issue for me, suggesting a bug may have slipped in there.
> 
> Not sure how this could be fixed, so reporting the issue for now in case
> it is not known yet.
> 
> Cheers,
> Alex.
> _______________________________________________
> dri-devel mailing list
> [email-masked]
> https://lists.freedesktop.org/mailman/listinfo/dri-devel
> 
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel